package nc.vo.esb;

import com.thoughtworks.xstream.annotations.XStreamAlias;

import nc.vo.esb.EsbInfoAnnotatioVO;
import nc.vo.esb.QueryInfoVO;

/**
 * 
 * @author LBXDADA
 * @date 2019-3-29 上午11:00:21
 * @Description:请求总线接口VO
 *
 */
@XStreamAlias("tem:requestBaseEntity")
public class RequestDeptToEsbVO {
	
	@XStreamAlias("tem:esbInfo")
	private EsbInfoAnnotatioVO esbInfo;
	@XStreamAlias("tem:queryInfo")
	private QueryInfoVO queryInfo;
	@XStreamAlias("tem:requestInfo")
	private RequestDeptInfoVO requestInfo;
	
	public EsbInfoAnnotatioVO getEsbInfo() {
		return esbInfo;
	}
	public void setEsbInfo(EsbInfoAnnotatioVO esbInfo) {
		this.esbInfo = esbInfo;
	}
	public QueryInfoVO getQueryInfo() {
		return queryInfo;
	}
	public void setQueryInfo(QueryInfoVO queryInfo) {
		this.queryInfo = queryInfo;
	}
	public RequestDeptInfoVO getRequestDeptInfo() {
		return requestInfo;
	}
	public void setRequestDeptInfo(RequestDeptInfoVO requestDeptInfo) {
		this.requestInfo = requestDeptInfo;
	}
	
}
